Bug 1570170 - [abrt] setup_arch: WARNING: CPU: 0 PID: 0 at arch/x86/kernel/cpu/mtrr/cleanup.c:978 mtrr_trim_uncached_memory+0x2d2/0x307
Summary: [abrt] setup_arch: WARNING: CPU: 0 PID: 0 at arch/x86/kernel/cpu/mtrr/cleanup...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a3a8fc85da08e24354bce123f0c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 19:32 UTC by David A. Smith
Modified: 2018-05-29 11:20 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:07 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (77.27 KB, text/plain)
2018-04-20 19:32 UTC, David A. Smith
no flags Details

Description David A. Smith 2018-04-20 19:32:54 UTC
Description of problem:
A few months ago I installed Fedora 26 32 bit on my Pentium 4 3 GHz desktop computer and at that time I was too
busy with other things to really use it until now. The fist thing I noticed is at the beginning of booting, it displays:

WARNING: CPU: 0 PID: 0 at arch/x86/kernel/cpu/mtrr/cleanup.c:978 mtrr_trim_uncached_memory+0x2d2/0x307
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.13.11-200.fc26.i686+PAE #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./P4P800SE, BIOS 080009   09/01/2004
task: ca6d2280 task.stack: ca6ca000
EIP: mtrr_trim_uncached_memory+0x2d2/0x307
EFLAGS: 00210046 CPU: 0
EAX: 0000004a EBX: ca819d00 ECX: 00000001 EDX: ca8acc28
ESI: 00000004 EDI: 00000000 EBP: ca6cbf24 ESP: ca6cbec8
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
CR0: 80050033 CR2: 00000000 CR3: 0a898000 CR4: 00000620
Call Trace:
 setup_arch+0x622/0xcf1
 start_kernel+0x8e/0x41d
 i386_start_kernel+0x94/0x98
 startup_32_smp+0x16b/0x16d
Code: 0f 84 78 fd ff ff 8b 7d c0 8b 75 bc 0f ac fe 14 c1 ef 14 57 56 68 34 5b 5c ca e8 98 f4 50 ff 83 c4 0c 83 3d f0 71 81 ca 00 75 02 <0f> ff 68 c0 58 5c ca e8 80 f4 50 ff e8 6b b2 ff ff 58 c7 45 b8

and then it displays:

systemd-modules-load.service failed to load
run systemctl status systemd-modules-load.service for details

which the status details are:

[davids@dasmith-localhost ~]$ sudo systemctl status -l systemd-modules-load.service
[sudo] password for davids:
● systemd-modules-load.service - Load Kernel Modules
   Loaded: loaded (/usr/lib/systemd/system/systemd-modules-load.service; static; vendor preset: disabled)
   Active: active (exited) since Thu 2018-04-19 14:09:06 EDT; 4h 31min ago
     Docs: man:systemd-modules-load.service(8)
           man:modules-load.d(5)
 Main PID: 558 (code=exited, status=0/SUCCESS)
    Tasks: 0 (limit: 4915)
   CGroup: /system.slice/systemd-modules-load.service

Apr 19 14:09:06 dasmith-localhost.domain systemd[1]: Starting Load Kernel Modules...
Apr 19 14:09:06 dasmith-localhost.domain systemd-modules-load[558]: Inserted module 'snd_pcm_oss'
Apr 19 14:09:06 dasmith-localhost.domain systemd[1]: Started Load Kernel Modules.

I noticed that the loaded (/usr/lib/systemd/system/systemd-modules-load.service; static; vendor preset: disabled), is
disabled for some reason, why?, I don't know. I didn't change anything  software-wise or hardware-wise since I installed
Fedora 26 on this system other then try installing a later kernel version of the Fedora 26 distribution, such as Linux
Kernel 4.13.11-200.fc26.i686+PAE.

However, there's another problem that I am having with Fedora 26, which may be related to the above issue and that
is I have a 32-bit PCI-to-USB 3.0 card installed in this computer, which doesn't work with Fedora but works with
OpenSUSE 13.2 32 bit distribution. I did some tracing of this problem and found that if I do a:

dmesg | grep xhci

it displays the following problems:

[    3.996713] xhci_hcd 0000:03:00.0: Resetting
[    5.018082] xhci_hcd 0000:03:00.0: timed out waiting for pending transaction; performing function level reset anyway
[    6.274079] xhci_hcd 0000:03:00.0: Failed to return from FLR
[    6.557080] xhci_hcd 0000:03:00.0: Refused to change power state, currently in D3
[    6.607862] xhci_hcd 0000:03:00.0: xHCI Host Controller
[    6.607955] xhci_hcd 0000:03:00.0: new USB bus registered, assigned bus number 6
[    6.869505] xhci_hcd 0000:03:00.0: Host halt failed, -19
[    6.869509] xhci_hcd 0000:03:00.0: can't setup: -19
[    6.869566] xhci_hcd 0000:03:00.0: USB bus 6 deregistered
[    6.889979] xhci_hcd 0000:03:00.0: init 0000:03:00.0 fail, -19

Please email me at: dasmith@electronicaidesdesign.com if you need more infomation.

Thank you,

David A. Smith

Additional info:
reporter:       libreport-2.9.1
WARNING: CPU: 0 PID: 0 at arch/x86/kernel/cpu/mtrr/cleanup.c:978 mtrr_trim_uncached_memory+0x2d2/0x307
Modules linked in:
CPU: 0 PID: 0 Comm: swapper Not tainted 4.13.11-200.fc26.i686+PAE #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./P4P800SE, BIOS 080009   09/01/2004
task: ca6d2280 task.stack: ca6ca000
EIP: mtrr_trim_uncached_memory+0x2d2/0x307
EFLAGS: 00210046 CPU: 0
EAX: 0000004a EBX: ca819d00 ECX: 00000001 EDX: ca8acc28
ESI: 00000004 EDI: 00000000 EBP: ca6cbf24 ESP: ca6cbec8
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
CR0: 80050033 CR2: 00000000 CR3: 0a898000 CR4: 00000620
Call Trace:
 setup_arch+0x622/0xcf1
 start_kernel+0x8e/0x41d
 i386_start_kernel+0x94/0x98
 startup_32_smp+0x16b/0x16d
Code: 0f 84 78 fd ff ff 8b 7d c0 8b 75 bc 0f ac fe 14 c1 ef 14 57 56 68 34 5b 5c ca e8 98 f4 50 ff 83 c4 0c 83 3d f0 71 81 ca 00 75 02 <0f> ff 68 c0 58 5c ca e8 80 f4 50 ff e8 6b b2 ff ff 58 c7 45 b8

Comment 1 David A. Smith 2018-04-20 19:32:57 UTC
Created attachment 1424663 [details]
File: dmesg

Comment 2 Fedora End Of Life 2018-05-03 07:51:19 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:20:07 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.